diff --git a/get-modified-image.sh b/get-modified-image.sh
index 0351719036f888eecd570a5c275018eef80107e7..eaadcdd4fd825d952adc03c747ade17fc8089e6f 100755
--- a/get-modified-image.sh
+++ b/get-modified-image.sh
@@ -1,7 +1,5 @@
 #!/bin/sh
 
-set -e
-
 # Retrieve the name and the version of the image that was modified in the latest commit
 # This script should become obsolete as soon as a proper way of getting the modified files is added to Gitlab CI
 
@@ -20,4 +18,5 @@ echo "export MODIFIED_IMAGE=${RES}" > variables
 
 # Image name with wanted registry and tag, fetched from Docker Compose
 RES=$(cat $RES/docker-compose.yml | grep $RES | cut -d ':' -f2- | tr -d ' ')
+if [ "$RES" = "" ]; then exit 1; fi
 echo "export MODIFIED_IMAGE_FULL=${RES}" >> variables